# Create Guard to Deny All Egress

Create guard to deny all egress is used to create a Cloudeka Guard that will reject all outgoing traffic (egress) from pods with certain labels. By using this syntax, you can ensure that pods labeled app:client-default in the default namespace cannot access resources or services outside that namespace, unless explicitly allowed. You can first run the following syntax to create a YAML file with the name deny-all-egress.

```bash
nano deny-all-egress.yaml
```

Copy and paste the following YAML contents.

```yaml
apiVersion: tenants.cloudeka.ai/v1alpha2
kind: CloudekaGuard
metadata:
  name: deny-all-egress
  namespace: default
spec:
  endpointSelector:
    matchLabels:
      app: client-default
  egress:
  - {}
```

After pasting the syntax, save the file by pressing Ctrl + O, then press the Enter key and exit the editor by pressing Ctrl + X. The next step is to apply Cloudeka Guard.

```bash
kubectl apply -f deny-all-egress.yaml
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/guidance-for-individual/deka-gpu/deka-gpu-security/deka-guard/create-guard-to-deny-all-egress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
